gnutls_heartbeat_set_timeouts(3)

NAME
gnutls_heartbeat_set_timeouts - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_heartbeat_set_timeouts(gnutls_session_t session, unsigned int retrans_timeout, unsigned int total_timeout);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int retrans_timeout
    The time at which a retransmission will occur in milliseconds

unsigned int total_timeout
    The time at which the connection will be aborted, in milliseconds.

DESCRIPTION
This function will override the timeouts for the DTLS heartbeat protocol. The retransmission timeout is the time after which a message from the peer is not received, the previous request will be retransmitted. The total timeout is the time after which the handshake will be aborted with GNUTLS_E_TIMEDOUT. If the retransmission timeout is zero then the handshake will operate in a non-blocking way, i.e., return GNUTLS_E_AGAIN.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/